E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::StringList::Filter Struct Reference

Filters a list of strings with allow and deny lists. More...

`#include <gstringlist.h>`

Collaboration diagram for G::StringList::Filter:
[legend]

## Public Member Functions
| Filter (StringArray &list, Ignore ignore=Ignore::Case)
Filter & | allow (const std::optional< std::string > &a)
Filter & | deny (const std::string &d)
| Filter (const Filter &)=delete
| Filter (Filter &&)=delete
Filter & | operator= (const Filter &)=delete
Filter & | operator= (Filter &&)=delete

## Public Attributes
StringArray & | m_list
Ignore | m_ignore

## Detailed Description

Filters a list of strings with allow and deny lists.

Definition at line 80 of file gstringlist.h.

## Constructor & Destructor Documentation

## ◆ Filter()

G::StringList::Filter::Filter | ( | StringArray & | list,
|  | Ignore | ignore = `Ignore::Case`
| ) |  |
| inline

Definition at line 82 of file gstringlist.h.

## Member Function Documentation

## ◆ allow()

Filter & G::StringList::Filter::allow | ( | const std::optional< std::string > & | a | ) |
| inline

Definition at line 87 of file gstringlist.h.

## ◆ deny()

Filter & G::StringList::Filter::deny | ( | const std::string & | d | ) |
| inline

Definition at line 96 of file gstringlist.h.

## Member Data Documentation

## ◆ m_ignore

Ignore G::StringList::Filter::m_ignore

Definition at line 108 of file gstringlist.h.

## ◆ m_list

StringArray& G::StringList::Filter::m_list

Definition at line 107 of file gstringlist.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gstringlist.h